package cn.feast.coding.mapper.generator;


import cn.feast.coding.model.generator.Project;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface ProjectMapper {
    Integer save(Project model);

    void update(Project model);

    void deleteById(Integer id);

    int queryByCount(Project model);

    List<Project> queryByList(Map paramsMap);

    List<Project> queryByProject(Project model);

    Project queryById(Integer id);

    List<Project> queryByDataSource(Integer dataSourceId);

    List<Project> queryByPageTemplate(Integer pageTemplateId);

    List<Project> queryAll();
}